> ## Documentation Index
> Fetch the complete documentation index at: https://docs.steppay.kr/llms.txt
> Use this file to discover all available pages before exploring further.

# 상품 삭제

> 상품을 삭제할 때 호출합니다.



## OpenAPI

````yaml /steppay_v1.json delete /api/v1/products/{id}
openapi: 3.0.1
info:
  title: STEPPAY
  version: '1.0'
  contact:
    name: Steppay
    url: https://www.steppay.kr
    email: contact@steppay.kr
servers:
  - url: https://api.steppay.kr
    description: Generated server url
security:
  - Secret-Token: []
paths:
  /api/v1/products/{id}:
    delete:
      tags:
        - 상품 API
      summary: 상품 삭제
      description: 상품을 삭제할 때 호출합니다.
      operationId: v1_deleteProduct
      parameters:
        - name: id
          in: path
          description: 상품 번호
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: 정상적으로 삭제됨
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ProductApiresponse'
              examples:
                응답 예시:
                  value:
                    body: null
                    message: 상품 삭제 성공
        '400':
          description: Bad Request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ProductErrorresponse'
        '403':
          description: Forbidden
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ProductErrorresponse'
        '404':
          description: 상품을 찾지 못 함
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ApiResponseUnit'
components:
  schemas:
    ProductApiresponse:
      title: 단순 API 응답
      required:
        - message
      type: object
      properties:
        message:
          type: string
          description: 결과에 대한 메세지
        body:
          type: object
          description: 관련 데이터
    ProductErrorresponse:
      required:
        - errorCode
      type: object
      properties:
        traceId:
          type: string
        errorCode:
          type: string
        errorMessage:
          type: string
        details:
          $ref: '#/components/schemas/ReturnError'
    ApiResponseUnit:
      title: 단순 API 응답
      required:
        - message
      type: object
      properties:
        message:
          type: string
          description: 결과에 대한 메세지
        body:
          $ref: '#/components/schemas/Unit'
    ReturnError:
      type: object
    Unit:
      type: object
  securitySchemes:
    Secret-Token:
      type: apiKey
      in: header
      name: Secret-Token

````